summaryrefslogtreecommitdiff
path: root/regional-currency/withdraw.sh
diff options
context:
space:
mode:
Diffstat (limited to 'regional-currency/withdraw.sh')
-rwxr-xr-xregional-currency/withdraw.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/regional-currency/withdraw.sh b/regional-currency/withdraw.sh
new file mode 100755
index 0000000..c0896e5
--- /dev/null
+++ b/regional-currency/withdraw.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+if test "$1" = "--help" || test "$1" = "-h"; then
+ echo "./withdraw [RESERVE_PUB]"
+ echo
+ echo "Injects one incoming CHF payment into nexus database"
+ echo "in order to trigger a Taler withdrawal. The reserve"
+ echo "pub can be passed either as the first parameter, or"
+ echo "it'll be generated by the CLI wallet. In both cases,"
+ echo "the exchange to withdraw from is \$PROTO://exchange.\$DOMAIN"
+
+ exit 0
+fi
+
+RESERVE_PUB="$1" # maybe passed
+set -eu
+
+. config/user.conf # DOMAIN_NAME, CURRENCY & FIAT_CURRENCY
+. config/internal.conf # PROTO
+
+NEXUS_CONFIG_FILE=/etc/libeufin/libeufin-nexus.conf
+if test -z "$RESERVE_PUB"; then
+ RESERVE_PUB=$(taler-wallet-cli \
+ api 'acceptManualWithdrawal' \
+ '{"exchangeBaseUrl":"'${PROTO}'://exchange.'$DOMAIN_NAME'",
+ "amount":"'$CURRENCY':5"
+ }' | jq -r .result.reservePub)
+fi
+DEBTOR_IBAN="CH8389144317421994586"
+sudo -i -u libeufin-nexus libeufin-nexus testing fake-incoming -L DEBUG --subject "$RESERVE_PUB" --amount "$FIAT_CURRENCY:5" "payto://iban/$DEBTOR_IBAN"
+
+taler-wallet-cli run-until-done